Subject: Re: bug#56559: 29.0.50; Invalid CGContextSaveState on NS

From: Gerd Möllmann <[email-masked]>
Date: Fri, 15 Jul 2022 12:33:37 +0200

> On 2022-07-15,, at 11:54 , Po Lu <[email-masked]> wrote:
> 
> Gerd Möllmann <[email-masked]> writes:
> 
>> Doesn't seem to happen.
> 
> Odd, I thought that message was supposed to show up if you try to draw
> something without an active graphics context.  I'm no Mac programmer, so
> I guess someone else should take over at this point.

Coming to think about it, maybe I'm doing something wrong?  How would I check for nil in this case?  I did "ctx == nil".  Should that perhaps be "*ctx == nil"?  (Sorry, I'm not an ObjC programmer at all.)